/* ++++++++++++++++++++++++++++++++++
======> NAV BAR 2
++++++++++++++++++++++++++++++++++ */
header {
  width: 100%;
}

header nav {
  width: 100%;
  padding: 1rem 1.5rem;
  background: var(--nav-bg);
  border-bottom: 1px solid var(--color-border-200);
  transition: var(--transition-linear);
}
header nav.fixTop {
  position: fixed;
  transition: var(--transition-linear);
  width: 100%;
  top: 0;
  left: 0;
  z-index: +10;
  box-shadow: rgba(40, 39, 39, 0.082) 0px 4px 6px -1px,
    rgba(51, 51, 51, 0.06) 0px 0.125rem 4px -1px;
  animation: naveffect 1.2s ease;
}
@keyframes naveffect {
  0% {
    top: -60px;
  }
  100% {
    top: 0;
  }
}

header nav .container {
  display: flex;
}

header nav .container > *:not(:last-child) {
  margin-right: 0.9;
}

header nav .container .mini-About {
  display: none;
}

/* ===> Logo col */
header nav .logo-nav-col {
  flex-shrink: 0;
  display: flex;
  align-items: center;
}
header nav .logo-nav-col img {
  width: var(--nav-logo-width);
}

/* ===> Nav Link col */
header nav .nav-link-col {
  flex-grow: 1;
  display: flex;
  align-items: center;
  justify-content: end;
}
header nav .nav-link-col .nav-ul {
  display: flex;
  list-style: none;
  padding: 0;
  margin: 0;
}
header nav .nav-link-col .nav-ul > *:not(:last-child) {
  margin-right: 2rem;
}
header nav .nav-link-col .nav-ul .nav-link {
  font-size: var(--nav-link-f-size);
  padding: 0.75rem 0;
  color: var(--nav-link-color);
  font-weight: 600;
  text-transform: capitalize;
  display: block;
  transition: var(--transition-linear);
}
header nav .nav-link-col .nav-ul .nav-link:hover {
  color: var(--nav-link-hover-color);
}
header nav .nav-link-col .nav-ul .nav-link:is(.active, .active:hover) {
  color: var(--nav-link-active-color);
}

/* ===> Nav Buttons */
header nav .nav-btn-col {
  display: flex;
  align-items: center;
  margin-left: 2rem;
}

header nav .toggle-btn {
  flex-shrink: 0;
  padding: 7px;
  font-size: 1.1rem;
  text-align: center;
  color: var(--color-text-100);
  transition: var(--transition-linear);
  display: none;
}
header nav .toggle-btn:hover,
header nav .toggle-btn.active {
  color: var(--my-primary);
}
header nav .toggle-btn i {
  font-size: var(--nav-btn-i-size);
}

@media (max-width: 900px) {
  header nav .container {
    justify-content: space-between;
  }

  header nav {
    padding: 0.6rem 1.5rem;
  }

  header nav .toggle-btn {
    display: block;
  }

  header nav .nav-btn-col > *:not(:last-child) {
    margin-right: calc(var(--gap-card));
  }

  /* ===> Nav Link col */
  header nav .nav-link-col {
    display: block;
  }
  header nav .nav-link-col .nav-ul {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
  }
  header nav .nav-link-col .nav-ul > *:not(:last-child) {
    margin-right: 0;
  }
  header nav .nav-link-col .nav-ul .nav-link {
    padding: 0.75rem 0;
    display: block;
    border-bottom: var(--color-border-200) 1px solid;
  }

  header nav .container .mini-About {
    display: block;
    margin-top: 1.875rem;
  }

  header nav .container .mini-About .about-crd {
    padding: 0.375rem 0;
    margin-bottom: 0.625rem;
  }

  header nav .container .mini-About .about-crd h6 {
    color: var(--color-text-300);
    font-size: 0.8rem;
    margin-bottom: 0.125rem;
    font-family: var(--font-primary);
    font-weight: 600;
  }

  header nav .container .mini-About .about-crd a {
    display: block;
    color: var(--color-text-200);
    font-weight: 500;
    font-size: 0.75rem;
    margin: 0;
  }
}

@media (max-width: 21.875rem) {
  header nav .nav-btn-col > *:not(:last-child) {
    margin-right: 0.5rem;
  }

  header nav .nav-btn-col .booking-btn {
    font-size: 0.8rem;
    padding: 0.8rem;
  }

  header nav .logo-nav-col img {
    height: 2.5rem;
  }
}
